> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unifygtm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List entries

> List the records in a list.



## OpenAPI

````yaml GET /data/v1/lists/{list_id}/entries
openapi: 3.1.0
info:
  title: Unify Data API
  summary: Interact with objects, attributes, and records within the Unify platform.
  version: '1'
  termsOfService: https://www.unifygtm.com/legal/terms-and-conditions
  contact:
    name: Unify Support
    url: https://www.unifygtm.com/support
    email: support@unifygtm.com
servers:
  - url: https://api.unifygtm.com
    variables: {}
security:
  - ApiKeyAuth: []
tags:
  - name: Data
  - name: Object Record Query Jobs
  - name: Event Query Jobs
  - name: Lists
  - name: List Entries
  - name: Objects
  - name: Object Attributes
  - name: Object Attribute Options
  - name: Object Records
paths:
  /data/v1/lists/{list_id}/entries:
    get:
      tags:
        - Data
        - List Entries
      description: List the entries in a list.
      operationId: list_list_entries
      parameters:
        - name: list_id
          in: path
          required: true
          description: ID of the list.
          schema:
            $ref: '#/components/schemas/UValues.UUuid'
        - name: cursor
          in: query
          required: false
          description: |-
            Opaque cursor returned by the previous page. Pass it unchanged to
            retrieve the next page.
          schema:
            $ref: '#/components/schemas/UValues.UUuid'
          explode: false
        - name: limit
          in: query
          required: false
          description: Maximum number of entries to return. Defaults to 100.
          schema:
            type: integer
            minimum: 1
            maximum: 100
          explode: false
      responses:
        '200':
          description: Response for a successful paginated list of entries.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListListEntriesResponse'
        '400':
          description: Response for any operation that results in a bad request error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                properties:
                  status:
                    type: string
                    enum:
                      - bad_request
                  errors:
                    type: array
                    items:
                      $ref: '#/components/schemas/UResponses.BadRequestError'
                  message:
                    type: string
                description: >-
                  Response for any operation that results in a bad request
                  error.
        '401':
          description: Response for any operation that results in an unauthorized error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - unauthorized
                  message:
                    type: string
                description: >-
                  Response for any operation that results in an unauthorized
                  error.
        '403':
          description: Response for any operation that results in a forbidden error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - forbidden
                  message:
                    type: string
                description: Response for any operation that results in a forbidden error.
        '404':
          description: Response for any operation that results in a not found error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - list_not_found
                  message:
                    type: string
                description: Response for any operation that results in a not found error.
        '429':
          description: Response for any operation that exceeds a rate limit.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - rate_limited
                  message:
                    type: string
                description: Response for any operation that exceeds a rate limit.
        '500':
          description: Response for any operation that results in an internal server error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                description: >-
                  Response for any operation that results in an internal server
                  error.
components:
  schemas:
    UValues.UUuid:
      type: string
      description: String UUIDv4 value.
      title: UUuid
    ListListEntriesResponse:
      type: object
      required:
        - status
        - data
        - next_cursor
      properties:
        status:
          type: string
          enum:
            - success
        data:
          type: array
          items:
            $ref: '#/components/schemas/UListEntry'
          description: Entries ordered by when they were last added, newest first.
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          description: |-
            Opaque cursor for the next page, or `null` when there are no more
            entries.
      description: Response for a successful paginated list of entries.
    UResponses.BadRequestError:
      type: object
      required:
        - code
      properties:
        code:
          type: string
        path:
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        object_api_name:
          type: string
        attribute_api_name:
          type: string
      allOf:
        - type: object
          unevaluatedProperties: {}
      description: Validation error detail returned for bad request responses.
    UListEntry:
      type: object
      required:
        - id
        - created_at
        - updated_at
        - list_id
        - object
        - record_id
      properties:
        id:
          $ref: '#/components/schemas/UValues.UUuid'
          description: Unique identifier for the entry.
        created_at:
          type: string
          format: date-time
          description: Date and time the entry was created.
        updated_at:
          type: string
          format: date-time
          description: Date and time the entry was last updated.
        list_id:
          $ref: '#/components/schemas/UValues.UUuid'
          description: ID of the list the entry belongs to.
        object:
          $ref: '#/components/schemas/UObjects.UObjectName'
          description: API name of the object the record belongs to.
        record_id:
          $ref: '#/components/schemas/UValues.UUuid'
          description: ID of the record in the list.
      description: A record's membership in a list.
    UObjects.UObjectName:
      type: string
      description: |-
        The API name of an object, e.g. `company`, `person`, `opportunity`, or a
        custom object's API name.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.